using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SevenLevelOneTrigger : MonoBehaviour
{
    public SevenLevelTwoTrigger m_levelTwo;
    private bool m_bControl = true;
    private void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.CompareTag("Target") && m_bControl)
        {
            m_bControl = false;
            m_levelTwo.OnTriggerOne();
            GameServices.timerServices.Push(this, 1.0f, delegate
            {
                if (m_levelTwo.Control)
                {
                    m_bControl = true;
                }
            });
        }
    }
}
